ZARAFA-BACKUP(1)

NAME
zarafa-backup - The Zarafa Backup tool

SYNOPSIS

zarafa-backup [OPTION...]

DESCRIPTION

The zarafa-backup tool creates a backup of the store of a user. The data of emails, calender items, contacts, etc. are stored in a binary file. You can use the zarafa-restore tool to retreive backuped items.

Some items are not backuped, like the rules created by the user, specific view information, selected sorting, etc.

Therefore, this backup tool cannot be used as a disaster recovery method. Please refer to the 'Zarafa Backup & Performance' documentation on the Zarafa site for common available backup methods.

The backup tool currently automatically detects if a full backup or an incremental backup is possible. This may change in the future.

INDEX FILE LAYOUT

The backup tool will create 2 files for each store that is backuped. username.data.zbk will contain the data of the store. username.index.zbk is an text index of data data file. The file contains a number of fields per line, separated by a colon. The first field is either 'R' (root), 'C' (container) or 'M' (message). The Root line contains 4 fields:

1st field: marker
    R: Root marker

2nd field: unique id length
    [0-9]+: number of characters in following id

3rd field: unique id
    The unique id of the root. This key matches the parent field of containers which are directly on the root level, eg. Inbox, Outbox, Calendar, etc.

4th field: username
    The name of the user of the backup.

A container line contains 11 fields:

1st field: marker
    C: Container marker

2nd field: unique parent id length
    [0-9]+: number of characters in following id

3rd field: unique parent id
    The unique id of the parent of this container. This key matches the id field of the parent container.

4th field: unique id length
    [0-9]+: number of characters in following id

5th field: unique id
    The unique id of this container. Other containers and messages may have this id in their parent id field.

6th field: record key length
    The length of the record key in the next field.

7th field: record key
    The record key of the item. Use this key to restore the item.

8th field: content count
    The number of items in this container, excluding other containers. You can use this as a hint, the restore program does not use this number.

9th field: last modification time
    Unix timestamp of the date the container was last modified.

10th field: type of container
    This is the type of the container. Eg: IPF.Note for a mail folder, IPF.Appointment for a calendar folder.

11th field: container name
    The name of the container when it was backuped. The restored folder will have this name. As an exception of the separator, this field can contain a colon.

A message line contains 9 fields:

1st field: marker
    M: Message marker

2nd field: unique parent id length
    [0-9]+: number of characters in following id

3rd field: unique parent id
    The unique id of the message. This key matches the id field of the parent container.

4th field: record key length
    The length of the record key in the next field.

5th field: record key
    The record key of the item. Use this key to restore the item.

6th field: last modification time
    Unix timestamp of the date the message was last modified.

7th field: type of message
    This is the type of the message. Eg: IPM.Note for an email, IPM.Appointment for a calendar item.

8th field: offset in the data file
    The restore tool needs to know where the item begins in the data file. This offset is the startpoint in the datafile.

9th field: subject of the message
    This is a description of the message. You can use this to find items you want to restore.

OPTIONS

The options used to backup are as follows:

--user, -u username
    Backup the store of one user.

--public, -p
    Backup the public store. The file names will be Public.data.zbk and Public.index.zbk.

--all, -a
    Backup the store of all users, including the public store.

--company, -s companyname
    Backup all users and public store of specific company.

--company-public, -P companyname
    Backup the public store for a specific company. The file names will be named after the company.

--store, -i storeid
    Backup store with the specified store id.

--output, -o path
    Store backup files in specified output directory.

--skip-junk, -J
    Do not backup the junkmail folder. Since this folder is likely to contain only spam, this folder is skipable.

--skip-public, -N
    Do not backup the public store. This can be usefull with -a or -s <company> options.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafa.

--config, -c file
    Use a configuration file. See the CONFIG() section for more information.

--verbose, -v
    Print more ouput during the backup. Prints every folder with item count.

EXAMPLES

Backup one user:

zarafa-backup -u loginname

CONFIG

Normally, no configuration file is used or required. The following options can be set in the configuation file:

server_socket
    Unix socket to find the connection to the Zarafa server. Default: file:///var/run/zarafa

sslkey_file
    Use this file as key to logon to the server. This is only used when server_socket is set to an HTTPS transport. See the zarafa-server(1) manual page on how to setup SSL keys. Default: value not set.

sslkey_pass
    The password of the SSL key file that is set in sslkey_file. Default: value not set.

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-restore(1)